Subject: chmod reports success but fails to change access permissions
From: [email-masked] (Karl Martin Syring)

25 Jan 1997 06:51:10 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
Original-To: "[email-masked]" <[email-masked]>
Original-Sender: [email-masked]

I have the the following problem: in a directory mounted with -b -m, if =
I try to give execute permissions to a file, chmod dutifully reports =
success but the permissions remain unchanged. Here is an example:

:/usr/local/latex2html%ls -l latex2html
-rw-r--r--   1 500      everyone   167174 Jan 25 11:31 latex2html
:/usr/local/latex2html%chmod -c 755 latex2html
mode of latex2html changed to 0755 (rwxr-xr-x)
:/usr/local/latex2html%ls -l latex2html
-rw-r--r--   1 500      everyone   167174 Jan 25 11:31 latex2html

The interesting thing is, changes in read and write permissions are =
applied. What is going on here?

Regards
Karl

-----Original Message-----
From:	Eric Britten [SMTP:[email-masked]]
Sent:	Samstag, 25. Januar 1997 00:12
To:	drs
Cc:	[email-masked]
Subject:	Re: Calling LoadLibrary()

> Has anyone successfuly loaded a dll or driver using LoadLibrary? The
> following seems like it should work; what am I doing wrong?
>=20
In Win32 you can't load 16bit dlls with LoadLibrary or LoadLibraryEx.
There is a way to do it though, The Windows 95 Resource Meter applet =
loads
a 16bit dll to call the free system resources function which does not
exist in Win32.  This is accomplished with Flat Thunks.

Eric Britten.

> /**********************code*************************/
> //dll_load.cpp
>=20
> #include <windows.h>
> #include <iostream.h>
>=20
> main()
> {
> 	HINSTANCE hLibrary;
> 	hLibrary =3D LoadLibrary("MMSYSTEM.DLL");
> 	cout << "This is mmsystem's handle: "=20
> 	     << hLibrary << endl;
>=20
> 	if(hLibrary)
> 	{
> 		FreeLibrary(hLibrary);
> 		return 0;
> 	}
> 	else=20
> 	return 0;
>=20
> }
>=20
> /**************makefile************************/
>=20
> #makefile for dll test
>=20
> dll_load.exe: dll_load.o
> 	g++ -o dll_load.exe dll_load.o -mwindows
>=20
> dll_load.o: dll_load.cpp
> 	g++ -c dll_load.cpp
> -
> For help on using this list, send a message to
> "[email-masked]" with one line of text: "help".
>=20

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".